Akeni Expert Messenger User's Guide

Akeni Expert Client
User's Guide

(Version 1.2)

Contents

Chapter 1 |  | Getting Started
 | .: 1.1 | Client Installation
 | .: 1.2.1 | Launching Akeni Expert Client In a LAN
 | .: 1.2.2 | Launching Akeni Expert Client Using IP Address and Port

Chapter 2 |  | Initial Set Up
 | .: 2.1 | Change Password
 | .: 2.2 | Setting Up Your Information
 | .: 2.3 | Adding/Removing/Renaming User Groups
 | .: 2.4 | Adding/Removing Contacts
 | .: 2.5 | Populating the User Groups

Chapter 3 |  | General Usage
 | .: 3.1 | Chatting
 | .: 3.2 | Conferencing with Multiple Users
 | .: 3.3 | Rejoining Conferences
 | .: 3.4 | Logging Chats and Conferences
 | .: 3.5 | Sending and Receiving Files
 | .: 3.6 | Tabbed Window View
 | .: 3.7 | Customizing Status Messages
 | .: 3.8 | Exiting Akeni and Setting Up Messages

Chapter 4 |  | Other Features
 | .: 4.1 | Sending E-mails
 | .: 4.2 | Notifications/Broadcasting
 | .: 4.3 | Send Attention
 | .: 4.4 | Compute File Signature (MD5 Feature)
 | .: 4.5 | Quick Information on Users
 | .: 4.6 | User Properties and Permissions

Chapter 5 |  | Customization
 | .: 5.1 | Toolbar
 | .: 5.2 | Snap-To
 | .: 5.3 | Preferences

Chapter 6 |  | Additional Features Depending on Server Configuration
 | .: 6.1 | "Existing users can register new accounts" is Enabled
 | .: 6.2 | "Users can search contacts using given/family names" is enabled
 | .: 6.3 | "Users can ask the server to send the entire user list" is enabled

Copyright © 2003 by Akeni Systems. All rights reserved.


Contents >> Chapter 2

Chapter 1: Getting Started

1.1 Client Installation

  1. Select the Akeni Expert Client installation file that matches your operating system and double-click on the file.

  2. If you are installing the commercial version of the software, or you have received an extended evaluation license key, please make sure that you have placed the license key file in the same directory as the installer.

  3. A welcome window will appear with information pertaining to the Akeni product, press the “Next” button to proceed.

  4. The license agreement will now appear. If you accept the license agreement, select “I agree with the terms of the license” and press the “Next” button to continue. Otherwise, press the “Cancel” button to exit the installation.

  5. The installer information window will now appear. Enter the applicable information and press the “Next” button to continue.

  6. Select the location where you wish Akeni to be installed and where the application data should be stored. Other options include:

    • Add shortcut to Desktop – This will add a shortcut icon to your desktop.
    • Create Start Menu shortcuts – This will add Akeni to your Start menu list.
    • Run this program when Windows starts – This will automatically launch Akeni when you login to your system.

    Press the “Next” button to proceed.

  7. You're now ready to install. The preview window will list the options that you have selected. If you wish to make changes, press the “Back” button. Otherwise, press the “Install” button to proceed.

  8. Akeni Expert Client has now been installed. To complete the process, press the “Finish” button.

1.2 Launching Akeni Expert Client

1.2.1 Launching Akeni Expert Client on a LAN

If both the client and the server are running on the same physical Local Area Network.

  1. Depending on the options you selected during installation, you can start Akeni Expert Client in the following methods:

    • Double click on the “Akeni Expert” icon on your desktop.

    OR

    • Press the “Start” button on your system tray.
    • Select “Programs -> Akeni Expert Messenger -> Akeni Expert”.

  2. Press the “Options” button on the login window. Enable the check box "Find Server On LAN

1.2.2 Launching Akeni Expert Client Using IP address and Port

You need to specify the IP address and the port of the Akeni Expert Server if the server is running outside of your Local Area Network. You also need to do this if the client can not find the server because there is a personal firewall running on your computer. Please ask your system administrator for the IP address and the port of the Akeni Expert Server.

  1. Depending on the options you selected during installation, you can start Akeni Expert Client in the following methods:

    • Double click on the “Akeni Expert” icon on your desktop.

    OR

    • Press the “Start” button on your system tray.
    • Select “Programs -> Akeni Expert Messenger -> Akeni Expert”.

  2. Press the “Options” button on the login window. Uncheck "Find server on LAN", then enter the Server's IP address and port

Contents >> Chapter 2


Chapter 1 <<Contents >> Chapter 3

Chapter 2: Initial Set Up

2.1 Change Password

To change your password:

  1. Select “File -> Preferences...”.

  2. This will pop up the “Preferences Dialog”, then choose "General".

  3. Then press the "Change Password" button and it will pop up the “Change Password Dialog”.

2.2 Setting Up Your Contact Information

This is the information that other users will see when they look up information about you. If you are signing on for the first time, you should check your user information and enter the data accordingly.

To view your information:

  1. Select “File -> Contact Info...”.

  2. This will pop up the “Edit Contact Information” window where you can enter or modify your user information.

  3. Press the "OK" button to save your changes and close the window.

2.3 Adding/Removing/Renaming User Groups

To start you off, four groups are already available for you to use: Co-Workers, Friends, New-Users and Offline. You can change or delete all of these groups, except for “Offline”.

To add a group:

  1. Press the “Add Group” button [image] on your toolbar.

    OR

    • Select “Action -> Contact List -> Add Group".

    OR

    • Right click your mouse button on a group (the new group will appear below the group you have selected).
    • Select “Contact List -> Add Group”.

    OR

    • Right click your mouse button on the “Offline” group.
    • Select “Add New Group”.

  2. This will pop up the “Add New Group” box:

  3. Enter the new group name and press the “OK” button.

To delete a group:

You can only delete an empty group. If there are users listed under the group you wish to delete you will need to remove them first. Please refer to the “Adding/Removing Users” section on how to do that.

  1. Select the group that you want to remove by clicking on it.

  2. Select “Action -> Contact List -> Delete Group”.

    OR

    • Right click with your mouse button the group you want to delete.
    • Select “Contact List -> Delete Group”.

  3. A confirmation box pop up, press the “Yes” button to proceed with the deletion.

    .: Side Note :.

    Uncheck the “Ask this question next time” if you wish to directly remove the group and by-pass this safety confirmation question.

To rename a group:

  1. Select the group that you want to rename by clicking on it.

  2. Select “Action -> Contact List -> Rename Group".

    OR

    • Right click with your mouse button the group you want to rename.
    • Select “Contact List -> Rename Group”.

  3. This will pop up the property box for this group.

  4. Select the "Modify” tab and enter the new name.

  5. Press the “OK” button to save your changes and close the window.

Organizing Your User Groups

  1. Select the group you want to move.

  2. Left click and hold your mouse button.

  3. Drag & drop the group to where you wish it to be.

2.4 Adding/Removing Contacts

To add a contact:

  1. Press the “Add Contact” button [image] on your toolbar.

    OR

    • Click and select the group that you wish to add the new user to.
    • Select “Action -> Contact List -> Add Group”.

    OR

    • Right click your mouse button on any user (the new user will be added to the same group).
    • Select “Contact List -> Add New Contact”.

  2. This will pop up the “Add To Contact List” box.

  3. Enter the name of the new contact and press the “Find” button.

  4. When the user has been found, the “Setup Group Membership” window will appear with all the groups available. Place the new contact in all the groups you wish him/her to appear in and press the “Next” button.

    .: Hint :.

    You don’t have to use the arrow buttons to move the groups between the columns. You can drag & drop the groups between the “All groups” and “Belongs to”.

  5. The “Private Annotation for...” box will appear. You can enter additional notes about the new user if you wish. Press the “Next” button.

  6. The “Permissions” box will appear. This allows you to set up what the new user will be able to see about you.

  7. A “Final Confirmation” box will appear. To proceed with the addition of the new contact press the “Finish” button.

To delete a contact:

The following steps are to remove a contact from a group. If you wish to remove a contact completely from your list, you will need to remove the user from all but one of the groups first, then following the same steps, remove the user from the final group.

.: Hint :.

If the user belongs to several groups the best method is to bring up the user properties and removing him/her from the groups. For details see the final method in step #2.

  1. Select the contact that you wish to remove by clicking on it.

  2. Press the “Delete” button on your keyboard.

    OR

    • Select “Action -> Contact List -> Delete Contact".

    OR

    • Right click with your mouse button the contact you want to delete.
    • Select “Contact List -> Delete From Group”.

    OR

    This is the best method to remove a user from several groups. However, since a user must belong to a group this method will not work if the contact belongs to only one group.

    • Bring up the user property by:
      • Right clicking on the user and selecting “Properties”
      or
      • Selecting the user and doing “Action -> Properties”.
    • Select the "Groups" tab.
    • Remove the user from the groups by selecting them and moving them from the “Belongs to” column back to the “All groups” column.
    • Press the “OK” button to save your changes and close the window.

  3. A confirmation box will pop up. Press the “Yes” button to remove the user.

    .: Side Note :.

    If you chose the last method in step #2 there will be no confirmation box.

2.5 Populating the User Groups

Once you have your groups and users set up you can organize them into groups so that you can quickly set up for conferences, notifications, etc.

The user method:

  1. Right click your mouse button on the user you want to organize.

  2. Select “Properties”.

    OR

    • Select “Action -> Properties”.

  3. This will pop up the property settings for the user.

  4. Select the “Group” tab.

  5. To add the contact to more groups just select the groups that you want under the “All groups” column and drag & drop them to the “Belongs to” column. Do the reverse if you wish to remove the user from the group(s).

  6. Click the “OK” button.

The group method:

  1. Right click your mouse button on the group you want to organize.

  2. Select “Properties”.

    OR

    • Select “Action -> Properties”.

  3. Select the “Modify” tab.

  4. To add contacts, select the user(s) under the “Not in group” column and drag & drop them to the “In group” column. Do the reverse if you wish to remove the user from the group(s).

  5. Click the “OK” button.

    .: Side Note :.

    The “Reset” button will undo any changes that you have made and revert back to the previous setting.

Moving users between groups:

  1. Select the user(s).

  2. Drag & drop to the desired group.

Chapter 1 <<Contents >> Chapter 3


Chapter 2 << Contents >> Chapter 4

Chapter 3: General Usage

3.1 Chatting

To contact an individual, do the following:

  1. Double click on the user you wish to contact.

    OR

    • Select the user you wish to contact.
    • Select “Action -> Chat”.

    OR

    • Single click on the icon beside the contact's name

  2. The chat window will now appear. To start the chat session just type in the lower window.

  3. To close the chat window, press the [image] button on the right top corner of the chat window.

    OR

    • Press “File -> Close”.

3.2 Conferencing with Multiply Users

The group method:

  1. Select the group you wish to contact.

  2. Press the [image] icon on the toolbar.

    OR

    • Select “Action -> Conference”.

    OR

    • Right click on the group you wish to contact.
    • Select “Conference with Online Members”.

  3. This will pop up the “Conference With Group” window.

  4. Enter an invitation topic for the conference. You can also edit the conference members by shifting contacts between the “Invite to conference” column and “Online but uninvited” column.

    .: Hint :.

    To select multiple groups simply select one group and hold down the “Ctrl” key, then left-click the other groups you wish to include in the conference.

  5. Press the “OK” button to send the invitation and close the window.

The user method:

  1. Use the “Shift” key or “Ctrl” key method and select the users you want to chat with.

    • If there is long list of users you can select the first user on the list, then press the “Shift” key and select the last user on the list. This will select all users listed between.
    • If you wish to select users individually, you can select one user and then press the “Ctrl” key and select the other users.

  2. Press the [image] icon on the toolbar.

    OR

    • Select “Action -> Conference”.

    OR

    • Right click your mouse button on the users you selected.
    • Select “Conference”.

  3. This will pop up the "Conference With Group" window.

  4. Enter an invitation topic for the conference. You can also edit the conference members by shifting contacts between the “Invite to conference” column and “Online but uninvited” column.

  5. Press the “OK” button to send the invitation and close the window.

To invite more people:

During an active conference session you can invite more contacts.

  1. Drag & drop the users you wish to add to your conference window.

    OR

    • Right click on your conference window.
    • Select “Invite More People”.

    • This will pop up the “Invite Additional Conference Participants” box.
    • Select the users you wish to add and press the “OK” button.

    OR

    • In the conference window select “Conference -> Invite More People”.

    • This will pop up the “Invite Additional Conference Participants” box.
    • Select the users you wish to add and press the “OK” button.

    OR

    • Right click on a user in your list.
    • Select “Conference -> Add To Existing Conference”

    • The “Choose Conference To Add” box will appear. Select the conference and press the “OK” button.

To re-invite people:

If a person had to leave the conference or initially declined to join the conference you can re-invite them.

  1. Drag & drop the users you wish to re-invite to your conference window.

    OR

    • Right click on the user in the “Inactive” list.
    • Select “Re-invite To Conference”.

3.3 Rejoining Conferences

If you left a conference due to scheduling conflicts, etc. You can always send a request to rejoin the conference again.

  1. Select “Action -> Rejoin Conference -> name of the conference”.

  2. This will send a request to the originator of the conference.

3.4 Logging Chats and Conferences

Akeni offers an archiving feature that logs your conversations.

How to log:

  1. To log select the log options on the right top corner or your chat or conference window.

    OR

    • If you have your conference or chat window open select “Log -> Log To File”.

Log Indicators

At the commencement of a chat or conference session, the log status of each individual is shown beside the date and time stamp of the session. Also for chat sessions an additional indicator is located at the bottom right corner.

How to view logs:

  1. Right click on the user whose logs you wish to see.

  2. Select “View log -> ” and one of the following options:

    • View Today’s Log – lists all chats and conferences for the day with the selected user
    • View All Logs – lists all the chats and conferences with the selected user
    • View Other Logs – select the day of the week to view the chats and conferences for that day

    OR

    • If you have your conference or chat window open select “Log -> ”

  3. This will pop up a list of html transcript of your conversations to view.

3.5 Sending and Receiving Files

This option is currently only available in chat sessions. You cannot do a broadcast send during conferences.

Sending One File

  1. Drag & drop the file to the chat window, or drop the file on top of the user's name in your main contact list.

    OR

    • In the chat window, click on the [image] icon.

    OR

    • Select “Action -> Send File”.

    OR

    • Right click on your chat window and select “Action -> Send File”.

  2. This will pop up the “Send file to…” window.

  3. Select the file using the “Browse…” button or you can drag & drop the file to the “Send file” path location.

  4. Press the “Send” button to send file.

Sending Multiple Files (i.e. File Queue)

You can send multiples files by setting up a send queue.

  1. Select all the files you need and drag & drop them to your chat window.

    OR

    • From your chat window select “Action -> Send File Queue…”

  2. This will pop up the “Edit Send File Queue”.

  3. If you used the drag & drop method your files will already be listed. If you chose the alternative method you will need to populate your list. You can use the buttons to add, delete and edit your list or you can also drag and drop files to the “Edit Send File Queue” window.

  4. When ready press the “Send” button to start the send.

Receiving Files

When someone sends you an attachment the "Receiving file" window will pop up showing you the file that is being transmitted.

To accept the send:

  1. Specify the location you want to save the file to.

  2. Press the “Accept” button.

    .: Hint :.

    If someone is sending you multiple files you can select the "Automatically accept files from" option so that you don't need to continuously click on the transmitting file notification box.

3.6 Tabbed Window View

Instead of having numerous chat and conference windows open you can consolidate them into a single workspace.

To set up your chats in a single workspace:

  1. Select “View -> Tabbed Chat” to set up your chats in a workspace.

  2. Now any new chat sessions will open in a single workspace. The name of the contact you are chatting with will be displayed in the tabs running along the bottom of the workspace.

  3. To close the chat session, press the [image] button beside your log indicator.

    OR

    • Select “File -> Close Tab”.

  4. To close your workspace, press the [image] button.

    .: Side Note :.

    This only closes your workspace but not your chat sessions.

  5. To restore your workspace, double click on the Akeni icon on your system tray.

    OR

    • Select “View -> Workspace Window”.

    .: Hint :.

    To open your conferences in a single workspace you follow the same steps. The only difference is the first step where you would select "Tabbed Conference" instead of "Tabbed Chat".

To set up your conferences into a single workspace:

  1. Select “View -> Tabbed Conferences”.

  2. Now any new conferences will open in a single workspace. The name of the person who started the conference and the time that the conference commenced will be displayed in the tab.

  3. To close a conference session, press the [image] button beside your log indicator.

    OR

    • Select “File -> Close Tab”.

  4. To close a conference session, press the [image] button beside your log indicator.

    .: Side Note :.

    This only closes your workspace but not your chat sessions.

  5. To restore your workspace, double click on the Akeni icon on your system tray.

    OR

    • Select “View -> Workspace Window”.

3.7 Customizing Status Messages

Akeni offers a variety of status messages that you can display when you are online but unable to chat or when you do not wish to be disturbed.

To select a message:

  1. Select “File -> Set Status -> ” and select one of the options.

  2. This will pop up the “Set Online Status” box.

  3. You can edit the message to be displayed when someone tries to contact you.

  4. Press the “Set” button to set the message.

  5. To turn off your away/not available message click the “I am back” button.

3.8 Exiting Akeni and Setting Up Away Messages

When you log off Akeni, you can set an away message that will be made available to your online contacts when they try to contact you.

You can choose to sign off so that the Akeni login screen remains available and ready for you to sign in again. Or you can choose to completely close the Akeni application and exit.

To Sign Off

  1. Select “File -> Sign-Off & On… -> ” and one of the options.

  2. This will pop up the “Logout With Offline Status” window. Select your option and press the “Sign Off” button.

  3. This will sign you out and take you back to your sign on screen.

To Exit

  1. Select “File -> Exit…”.

  2. This will pop up the “Exit” window. Select an option and press the “OK” button.

  3. This will sign you off and close the Akeni application.

Chapter 2 << Contents >> Chapter 4


Chapter 3 << Contents >> Chapter 5

Chapter 4: Other Features

4.1 Sending E-mails

You can also send e-mails directly using Akeni. It will open up the composer of your default e-mail application.

  1. From the Akeni window select the person you wish to contact.

  2. Press the [image] icon.

    OR

    • Right click on the user and select “Email”.

    OR

    • Select “Action -> Email”.

  3. This will pop up the customization window.

  4. This will launch the composer of your default email application. It will place the email address of the person you selected. Just follow your usual process for composing and sending emails.

4.2 Notification/Broadcasting

Sending Notifications

  • Akeni offers an instant broadcasting feature that will pop up a message on the contacts you’ve chosen.

    1. Select the group or users to who you wish to send the notification to.

    2. Press the [image] icon.

      OR

      • Select “Action -> Notification”

      OR

      • Right click on the group.
      • Select “Notify Online Group Members”.

      OR

      • Right click on the selected contacts.
      • Select “Notify”.

    3. This will pop up the “Notification Composer”.

    4. Enter a subject heading and the message that you want to broadcast.

      .: Hint :.

      If you send the same notification often you can save the template by selecting “Make notification permanent”. In the future just select it from the subject pull down.

    5. Set the priority of the broadcast by pressing the [image] button (located on the right top corner or your composer window).

    6. Press the “Send” button when you are ready to broadcast the notification.

    Receiving Notifications

    The first time you receive a notification it will ask you if you wish to log them.

    If you choose not to log you can turn on the option later by selecting “History -> Log To File”.

    If your notifications are being logged a check mark will appear in the “History” tab as an indicator.

    To View Notifications

    1. Select “View -> Notification Window”

    2. To switch to the history view, click on the “History” tab.

      OR

      • Press the [image] icon.

      OR

      • Select “History -> Goto History Tab”.

    3. You can sort your notifications by priority, contact, date sent and subject by clicking their respective column tabs.

    4. To close the notification that you were viewing, press the [image] on your toolbar.

    5. To close the notification workspace, press the [image] button on the top right corner.

    4.3 Send Attention

    If a contact isn't responding during a chat session you can send them an alert to grab their attention.

    1. In the chat window, click on the [image] button

      OR

      • In the chat or conference window, select “Action -> Send Attention”.

    2. This will pop up the “Send Attention” composition box. Enter a short message and press the “OK” button.

    3. The following small message will appear on their system tray to get their attention.

    4.4 Compute File Signature (MD5 Feature)

    When you send files using Akeni the files are automatically verified for authenticity using MD5.

    However, if during a chat session you need to regenerate the MD5 signature for comparison, you can compute it in the following manner:

    1. In your chat window select “File -> Compute Signature”.

    2. The “Compute File Signature” window will appear. Use the "Browse..." button to locate your file or drag & drop the file.

    3. Press the “Compute” button.

    4. The “Signature (MD5): not computed yet” will change to show the file signature.

    4.5 Quick Information on Users

    You can quickly get information on a particular user by placing your mouse pointer over the user. After a few seconds a box will appear with that user’s information.

    To have the quick info appear in a window do the following:

    1. Select the user.

    2. Select “Action -> Quick Info”.

      OR

      • Right click on the user.
      • Select “Quick Info”.

    3. This will pop up the contact information for the user

      .: Side Note :.

      The information that you see will depend on what the user gave you permission to access.

    4.6 User Properties and Permissions

    To view a contact’s properties do the following:

    1. Select user.

    2. Select “Action -> Properties”.

      OR

      • Right click on the user.
      • Select “Properties”.

    3. This will pop up the properties window offering various information about the user:

      • Notes Tab – Contains personal notes that you which to include about the contact.

      • Permissions Tab – Shows you the information that you have allowed the contact to see.

      • Groups Tab – Shows you the groups you placed the contact under.

      • Information Tab – Shows you the information that the contact has made available to you (similar contact to what you would see using the “Quick Info” option).

    4. To close the window, press the [image] button on the top right corner.

    Chapter 3 << Contents >> Chapter 5


Chapter 4 << Contents >> Chapter 6

Chapter 5: Customization

5.1 Toolbar

You can customize your toolbar to include your most frequently used shortcuts.

  1. Right click on the toolbar and select “Customize”.

    OR

    • Select “View -> Customize Toolbar”.

  2. This will pop up the customization window.

  3. The column on the left lists the icons available to be added. The column on the right lists the icons already on your toolbar. To add or remove icons just select them and press the arrow buttons or simply drag & drop them.

  4. You can also change the order of how they appear on your toolbar. Select the icon and drag it to the position that you wish along the column.

  5. When ready, press the “OK” button to finalize and close window.

To toggle the toolbar off/on:

  1. Select “View -> Toolbar”.

5.2 Snap-To

You can have the Akeni window snap to the corners of your screen.

  1. Select “View -> Snap To” and one of the options.

5.3 Preferences

You can customize the appearance of your Akeni windows by changing fonts and colors. There are many aspects of Akeni that you can customize.

  1. Select “File -> Preferences…”.

  2. This will pop up the “Preference” window with various customizable options.

Chat Preferences

  1. Select “Chat”.

  2. To change the font type click on the “Font” button.

  3. This will pop up the “Select Font” window. Select the font that you wish and click the “OK” button to make your changes. The preview window on the main “Edit Preferences” page will reflect your changes.

  4. To change the font colors of the contacts and other information, click on the text color that you want to change.

    OR

    • Select the text item from the “Item” list and press the “Color” box.

  5. This will pop up the “Select Color” window. Select the color and press the “OK” button to close the window.

  6. To undo your font change and use the original default, select the “Use system font”.

  7. To undo both your font and color change and revert back to the previous settings, click on the “Undo” button.

  8. To revert back to the original Akeni default settings, click on the “Default” button.

  9. Press the “OK” button to save your changes and close the window.

Conference Preferences

In a similar method to modifying chat preferences you can change the conference settings.

  1. Select “Conference”.

  2. To change the font type click on the “Font” button.

  3. This will pop up the “Select Font” window. Select the font that you wish and click the “OK” button to make your changes. The preview window on the main “Edit Preferences” page will reflect your changes.

  4. To change the font colors of the contacts and other information, click on the text color that you want to change.

    OR

    • Select the text item from the “Item” list and press the “Color” box.

  5. This will pop up the “Select Color” window. Select the color and press the “OK” button.

  6. To undo your font change and use the original default, select the “Use system font”.

  7. To undo both your font and color change and revert back to the previous settings, click on the “Undo” button.

  8. To revert back to the original Akeni default settings, click on the “Default” button.

  9. Press the “OK” button to save your changes and close the window.

Notification Preferences

You can change the color of your notification alerts.

  1. Select “Notification”.

  2. To change the font type click on the “Font” button.

  3. This will pop up the “Select Font” window. Select the font that you wish and click the “OK” button to make your changes. The preview window on the main “Edit Preferences” page will reflect your changes.

  4. To change the font colors of the high, normal and low priority, click on the text color that you want to change.

    OR

    • Select the text item from the “Item” list and press the “Color” box.

  5. This will pop up the “Select Color” window. Select the color and press the “OK” button.

  6. To undo your font change and use the original default, select the “Use system font”.

  7. To undo both your font and color change and revert back to the previous settings, click on the “Undo” button.

  8. To revert back to the original Akeni default settings, click on the “Default” button.

  9. Press the “OK” button to save your changes and close the window.

Contact List Preference

  • You can change the font of your contact list.

    1. Select “Contact List”.

    2. To change the font type click on the “Font” button.

    3. This will pop up the “Select Font” window. Select the font that you wish and click the “OK” button to make your changes. The preview window on the main “Edit Preferences” page will reflect your changes.

    4. To revert back to your previous setting, click on the “Undo” button.

    5. To revert back to the original Akeni default settings, click on the “Default” button or select the “Use system font”.

    6. Press the “OK” button to save your changes and close the window.

    Status Alert Preferences

    Alerts of user status, chat and conference requests, etc. will appear on your system. You can change the options so that the alert will only appear for specific options.

    1. Select “Status Alert”.

    2. To turn off the status alert uncheck the “Show status alert near system tray”.

    3. You can change the appearance of the alert:

      • To change how the status alert appears select one of the effects from the drop down box.
      • To change the speed of the affect, shift the bar in the “Effect speed” scale.
      • To modify the duration of the alert, increase or decrease the number of seconds in the “Status alert stays there for” option.
      • To change the background color of the effect, click on the color box.
      • To preview the effect, click on the “Try it out” button.

    4. You can set when you want the alert to appear in your system tray.

    5. For user notifications select and remove options in the “Show alert when a contact changes to the following status”.

    6. For message notifications select and remove options in the “Show alert when a message comes in”.

    7. To revert back to your previous setting, click on the “Undo” button.

    8. To revert back to the original Akeni default settings, click on the “Default” button.

    9. Press the “OK” button to save your changes and close the window.

    Sound Effects Preferences

    You can set various alerts and tasks to audio accompaniment.

    1. Select “Sound Effects”.

    2. From the “Sound Events” list you can select the events which you wish to have sound with.

    3. With each event select the desired sound from the “Name” list. If you prefer a customized sound use the “Browse” button to locate the wav file of your choice.

    4. To preview the sound press the [image] button or double click on the event in the “Sound Events” list.

    5. To revert back to your previous setting, click on the “Undo” button.

    6. To revert back to the original Akeni default settings, click on the “Default”.

    7. Press the “OK” button to save your changes and close the window.

    General Preferences

    There are a few other options that you can modify:

    1. Select “General”.

    2. You can set Akeni so that it signs on automatically. You can also set the countdown seconds before auto sign on.

    3. You can set the length of time you are away before your status is set automatically to idle.

    Chapter 4 << Contents >> Chapter 6


Chapter 5 << Contents

Chapter 6: Additional Features Depending on Server Configuration

6.1 "Existing users can register new accounts" is Enabled

If this feature is enabled, then you are allowed to register new user accounts.

  1. Select “Action -> Contact List -> Advanced -> Register New User...”.

  2. This will pop up the “New User Registration Dialog” where user can enter the new account information.

  3. If you set the check box "Add new user to everyone's contact list" then this new user will be added automatically to everyone's contact list (and the new user's contact list will contain everyone's name as well.) Please note that this check box is only available if your administrator has enabled both the "Existing users can register new accounts" and "Active newly registered accounts automatically" options on the server.

6.2 "Users can search contacts using given/family names" is enabled

if your server configuration has enabled "Users can search contacts using given/family names", then you can search other users using given/family names.

  1. Select “Action -> Contact List -> Advanced -> Search User By Name...”.

  2. This will pop up the “Search User By Name Dialog” where user can enter the new account information.

6.3 "Users can ask the server to send the entire user list" is enabled

if your server configuration has enabled "Users can ask the server to send the entire user list", then this feature would allow you to ask the server to send the entire user list so that the you can add selected users into your contact list.

  1. from client account, Select “Action -> Contact List -> Advanced -> Search User By Name...”.

  2. This will pop up the “Add To Contact List Dialog”, if the user enters blank and presses the return key, then the server will send the entire user list. You can also enter the first name or last name of the person you want to add, and the server will return a list of user that match the name. Please make sure the name is capitalized, or the system will treat it as a login name rather than a first name or last name.

Chapter 5 << Contents


Akeni Expert Client User Guide

Akeni Expert Client

User Guide
(Version 1.2)

Contents

Chapter 1: Getting Started

1.1 | Client Installation
1.2.1 | Launching Akeni Expert Client In a LAN
1.2.2 | Launching Akeni Expert Client Using IP Address and Port

Chapter 2: Initial Set Up

2.1 | Change Password
2.2 | Setting Up Your Information
2.3 | Adding/Removing/Renaming User Groups
2.4 | Adding/Removing Contacts
2.5 | Populating the User Groups

Chapter 3: General Usage

3.1 | Chatting
3.2 | Conferencing with Multiple Users
3.3 | Rejoining Conferences
3.4 | Logging Chats and Conferences
3.5 | Sending and Receiving Files
3.6 | Tabbed Window View
3.7 | Customizing Status Messages
3.8 | Exiting Akeni and Setting Up Messages

Chapter 4: Other Features

4.1 | Sending E-mails
4.2 | Notifications/Broadcasting
4.3 | Send Attention
4.4 | Compute File Signature (MD5 Feature)
4.5 | Quick Information on Users
4.6 | User Properties and Permissions

Chapter 5: Customization

5.1 | Toolbar
5.2 | Snap-To
5.3 | Preferences

Chapter 6: Additional Features Depending on Server Configuration

6.1 | Existing users can register new accounts
6.2 | Users can search contacts using given/family names
6.3 | Users can ask the server to send the entire user list

Copyright © 2003 by Akeni Systems. All rights reserved.


Akeni Expert Client User Guide

Akeni Expert Messenger
User Guide

(Version 1.2)

.: Framed Version :. .: Non-Framed Version :.

Copyright © 2003 by Akeni Systems. All rights reserved.